/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.cosmodas.FacadeCosmos;

import com.cosmodas.EntCosmos.Territorios;

import java.util.List;
import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import javax.persistence.Query;

/**
 * @author obper
 */
@Stateless
public class TerritoriosFacade extends AbstractFacade<Territorios> implements TerritoriosFacadeLocal {

    @PersistenceContext(unitName = "wcosmodasPersistent")
    private EntityManager em;

    @Override
    protected EntityManager getEntityManager() {
        return em;
    }

    public TerritoriosFacade() {
        super(Territorios.class);
    }

    @Override
    public List<Territorios> TerritorioPorSucursal(String sucursalCodigo) {

        Query q = em.createNamedQuery("Territorios.findBySucursalCodigo");
        q.setParameter("sucursalCodigo", sucursalCodigo);

        return q.getResultList();
    }

}
